%define	name		perl-Mail-Sendmail
%define	realname 	Mail-Sendmail
%define	majorver	0.79
%define minorver	16
%define	release 	6%{_dist_release}

Name:		%{name}
Summary:	Simple platform-independent mailer
Version:	%{majorver}.%{minorver}
Release:	%{release}
License:	GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/%{realname}
Source:		http://www.cpan.org/authors/id/M/MI/MIVKOVIC/%{realname}-%{majorver}_%{minorver}.tar.bz2

Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
BuildRequires:  perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Mail-Sendmail is a Perl module for sending mail through a sendmail SMTP
server.

%prep
%setup -q -n %{realname}-%{majorver}_%{minorver}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{perl_vendorarch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README Todo
%{_mandir}/*/*
%{perl_vendorlib}/Mail

%changelog
* Thu Feb  5 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.79.16-6
- moved to Development/Libraries

* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.79.16-5
- rebuilt with perl-5.16.3.

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.79.16-4
- rebuild with perl-5.12.3

* Fri May 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-3vl5
- rebuild with perl 5.10
- new versioning policy

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-2lv1
- rebuilt for VineSeed
- remove Requires: smtpdaemon

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-2lv0.43
- built to release for VinePlus 4.2
- add Requires: smtpdaemon like a postfix

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.79.16-2lv0.42
- built for Vine 4.2 (testing)
- new upstream release

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.79.16-2mdv2008.0
+ Revision: 64787
- rebuild

* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 0.79.16-1mdv2007.0
+ Revision: 120105
- 0.79.16

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Mail-Sendmail

* Sat Jan 21 2006 Michael Scherer <misc@mandriva.org> 0.79-4mdk
- Rebuild to fix 20764 
- use mkrel
- fix rpmlint warning about distribution, and apply perl policy

